Nota
L'accesso a questa pagina richiede l'autorizzazione. È possibile provare ad accedere o modificare le directory.
L'accesso a questa pagina richiede l'autorizzazione. È possibile provare a modificare le directory.
Retrieve the properties and relationships of a sales quote line object for Business Central.
Prerequisites
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
GET businesscentralPrefix/companies({id})/salesQuotes({id})/salesQuoteLines({salesQouteLineId})
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body (v1.0)
Do not supply a request body for this method.
Response (v1.0)
If successful, this method returns a 200 OK response code and a salesQuoteLines object in the response body.
Example (v1.0)
Request
Here is an example of the request.
GET https://{businesscentralPrefix}/api/v1.0/companies({id})/salesQuotes({id})/salesQuoteLines({salesQouteLineId})
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"documentId": "id-value",
"sequence": 10000,
"itemId": "id-value",
"accountId": "id-value",
"lineType": "Item",
"lineDetails": {
"number": "1896-S",
"displayName": "ATHENS Desk",
"description": null
},
"description": "ATHENS Desk",
"unitOfMeasureId": "id-value",
"unitOfMeasure": {
"code": "BOX",
"displayName": "Box",
"symbol": null,
"unitConversion": null
},
"unitPrice": 6165,
"quantity": 1,
"discountAmount": 0,
"discountPercent": 0,
"discountAppliedBeforeTax": false,
"amountExcludingTax": 6165,
"taxCode": "VAT10",
"taxPercent": 10,
"totalTaxAmount": 0,
"amountIncludingTax": 6165,
"netAmount": 6165,
"netTaxAmount": 0,
"netAmountIncludingTax": 6165
}
Related information
Tips for working with the APIs
Sales Quote Line
Create Sales Quote Line
Update Sales Quote Line
Delete Sales Quote Line